//  Original pkgutils:
//  Copyright (c) 2000-2005 Per Liden
//
//  That C-rewrite:
//  Copyright (c) 2006 Anton Vorontsov <cbou@mail.ru>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
//  USA.
//

#define _GNU_SOURCE
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>

int die(const char *str) {
	printf("%s: ", str);
	puts(strerror(errno));
	abort();
	return 1;
}

void malloc_failed() {
	puts("malloc failed. out of memory");
	abort();
}

void *fmalloc(size_t size) {
	void *tmp = malloc(size);
	if (!tmp) malloc_failed();
	return tmp;
}

const char *base_filename(const char *name) {
	char *slash = strrchr(name, '/');
	if (slash) name = slash+1;
	return name;
}
